<!doctype html>
<html lang="en">
<head>
    <title>Code coverage report for src/base/RightBar/PersonalStakeBlock.vue</title>
    <meta charset="utf-8" />
    <link rel="stylesheet" href="../../../../../prettify.css" />
    <link rel="stylesheet" href="../../../../../base.css" />
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <style type='text/css'>
        .coverage-summary .sorter {
            background-image: url(../../../../../sort-arrow-sprite.png);
        }
    </style>
</head>
<body>
<div class='wrapper'>
  <div class='pad1'>
    <h1>
      <a href="../../../../../index.html">all files</a> / <a href="index.html">src/components/View/Base/RightBar/</a> PersonalStakeBlock.vue
    </h1>
    <div class='clearfix'>
      <div class='fl pad1y space-right2'>
        <span class="strong">22.22% </span>
        <span class="quiet">Statements</span>
        <span class='fraction'>2/9</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Branches</span>
        <span class='fraction'>0/2</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">0% </span>
        <span class="quiet">Functions</span>
        <span class='fraction'>0/2</span>
      </div>
      <div class='fl pad1y space-right2'>
        <span class="strong">22.22% </span>
        <span class="quiet">Lines</span>
        <span class='fraction'>2/9</span>
      </div>
    </div>
  </div>
  <div class='status-line low'></div>
<pre><table class="coverage">
<tr><td class="line-count quiet">1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80</td><td class="line-coverage quiet"><span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-yes">1×</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-no">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span>
<span class="cline-any cline-neutral">&nbsp;</span></td><td class="text"><pre class="prettyprint lang-js">&lt;template&gt;
  &lt;div class="columns three right-block"&gt;
    &lt;div class="personal-percent"&gt;
      &lt;h3&gt;Ваша персональная ставка&lt;/h3&gt;
      &lt;hr/&gt;
      &lt;div :style="{backgroundPosition: backgroundPosition}" class="tachometer t9"&gt;
        &lt;span&gt;1.85%&lt;/span&gt;&lt;br/&gt;
        в день*
      &lt;/div&gt;
      &lt;div class="big"&gt;14 займов до&lt;br/&gt; минимальной ставки**&lt;/div&gt;
      &lt;div class="gray"&gt;* Персональная ставка 693.5% в год&lt;/div&gt;
      &lt;div class="gray"&gt;** Минимальная ставка 438% в год&lt;/div&gt;
      &lt;input type="text" v-model="rate"/&gt;
    &lt;/div&gt;
    &lt;div class="warning"&gt;
      &lt;div class="close"&gt;&lt;/div&gt;
      &lt;h3&gt;Внимание!&lt;/h3&gt;
      &lt;hr/&gt;
      &lt;p&gt;Корректировка данных возможна только при заполнении заявки на новый займ &lt;/p&gt;
    &lt;/div&gt;
  &lt;/div&gt;
&lt;/template&gt;
&nbsp;
&lt;script&gt;
  const percentCoordinatesForSprite = [
    {percent: 100, coords: 0},
    {percent: 93, coords: 156},
    {percent: 86, coords: 312},
    {percent: 79, coords: 468},
    {percent: 71, coords: 624},
    {percent: 64, coords: 780},
    {percent: 57, coords: 936},
    {percent: 50, coords: 1092},
    {percent: 43, coords: 1248},
    {percent: 36, coords: 1404},
    {percent: 29, coords: 1560},
    {percent: 21, coords: 1716},
    {percent: 14, coords: 1872},
    {percent: 7, coords: 2028},
    {percent: 0, coords: 2184}
  ]
&nbsp;
const getClosestCoordinatesForSprite = (n, arr) =&gt;
<span class="cstat-no" title="statement not covered" ><span class="fstat-no" title="function not covered" >    arr.reduce((acc, item) =&gt; <span class="fstat-no" title="function not covered" >{</span></span></span>
<span class="cstat-no" title="statement not covered" >      if (Math.abs(item.percent - n) &lt; Math.abs(acc.percent - n)) {</span>
<span class="cstat-no" title="statement not covered" >        return item</span>
      } else {
<span class="cstat-no" title="statement not covered" >        return acc</span>
      }
    }).coords
&nbsp;
export default {
    name: 'personal-stake-block',
    data () {
<span class="cstat-no" title="statement not covered" >      return {</span>
        rate: '80'
      }
    },
    computed: {
      backgroundPosition () {
        const percent = <span class="cstat-no" title="statement not covered" >this.rate</span>
<span class="cstat-no" title="statement not covered" >        return `50% -${getClosestCoordinatesForSprite(percent, percentCoordinatesForSprite)}px`</span>
      }
    }
  }
&lt;/script&gt;
&nbsp;
&lt;style scoped&gt;
.tachometer {
  display: inline-block;
  width: 156px;
  height: 95px;
  background: url(/static/img/tachometer.png) no-repeat;
  font-size: 12px;
  color: #333333;
  padding-top: 25px;
  margin-bottom: 30px;
}
&lt;/style&gt;
&nbsp;</pre></td></tr>
</table></pre>
<div class='push'></div><!-- for sticky footer -->
</div><!-- /wrapper -->
<div class='footer quiet pad2 space-top1 center small'>
  Code coverage
  generated by <a href="http://istanbul-js.org/" target="_blank">istanbul</a> at Fri Mar 23 2018 11:20:25 GMT+0300 (MSK)
</div>
</div>
<script src="../../../../../prettify.js"></script>
<script>
window.onload = function () {
        if (typeof prettyPrint === 'function') {
            prettyPrint();
        }
};
</script>
<script src="../../../../../sorter.js"></script>
</body>
</html>
